Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1999)
+++ palm/trunk/SOURCE/Makefile	(revision 2007)
@@ -20,5 +20,7 @@
 # Current revisions:
 # ------------------
-# 
+# urban surface module added,
+# cleaned up some lines (compiler flags/options), which were accidentally
+# added in rev1938
 # 
 # Former revisions:
@@ -341,4 +343,5 @@
 	time_integration.f90 time_to_string.f90 timestep.f90 \
 	timestep_scheme_steering.f90 transpose.f90 tridia_solver_mod.f90 \
+	urban_surface_mod.f90 \
 	user_3d_data_averaging.f90 \
 	user_actions.f90 user_additional_routines.f90 \
@@ -350,4 +353,5 @@
 	user_init_3d_model.f90 user_init_flight.f90 user_init_grid.f90 user_init_land_surface.f90 \
 	user_init_plant_canopy.f90 user_init_radiation.f90 user_flight.f90\
+	user_init_urban_surface.f90 \
 	user_last_actions.f90 user_lpm_advec.f90 \
 	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
@@ -367,15 +371,6 @@
 LDFLAGS =
 
-#BOUNDS="-Rbc"  # Array bounds checking. Compromises performance seriously.
-
-F90 = ftn
-#COPT = -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__lc -D__parallel -D__fftw \
-#             -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__nopointer
-COPT = -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__lc -D__parallel -D__fftw \
-             -D__netcdf -D__netcdf4 -D__netcdf4_parallel
-
-#F90FLAGS = -O2 -e Fm -G2 -rm $(BOUNDS) -hnoomp
-F90FLAGS = -O2 -e F -G2 -rm $(BOUNDS) -hnoomp
-LDFLAGS = $(F90FLAGS) -dynamic
+# The following line is needed for palm_simple_install, don't remove it!
+#to_be_replaced_by_include
 
 .SUFFIXES:
@@ -407,5 +402,5 @@
 advec_w_up.o: modules.o mod_kinds.o
 average_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
-                   radiation_model_mod.o
+	radiation_model_mod.o urban_surface_mod.o
 boundary_conds.o: modules.o mod_kinds.o pmc_interface_mod.o
 buoyancy.o: modules.o mod_kinds.o
@@ -418,5 +413,6 @@
 check_parameters.o: modules.o mod_kinds.o land_surface_model_mod.o \
 	netcdf_interface_mod.o plant_canopy_model_mod.o pmc_interface_mod.o radiation_model_mod.o \
-	spectra_mod.o subsidence_mod.o microphysics_mod.o wind_turbine_model_mod.o
+	spectra_mod.o subsidence_mod.o microphysics_mod.o wind_turbine_model_mod.o \
+	urban_surface_mod.o
 close_file.o: modules.o mod_kinds.o netcdf_interface_mod.o
 compute_vpt.o: modules.o mod_kinds.o
@@ -437,7 +433,8 @@
 data_output_flight.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o virtual_flight_mod.o
 data_output_2d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o \
-   netcdf_interface_mod.o land_surface_model_mod.o radiation_model_mod.o
+   netcdf_interface_mod.o land_surface_model_mod.o radiation_model_mod.o \
+   urban_surface_mod.o
 data_output_3d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o \
-   netcdf_interface_mod.o land_surface_model_mod.o
+   netcdf_interface_mod.o land_surface_model_mod.o urban_surface_mod.o
 diffusion_e.o: modules.o mod_kinds.o microphysics_mod.o \
    mod_particle_attributes.o
@@ -466,5 +463,5 @@
    radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
    surface_layer_fluxes_mod.o microphysics_mod.o mod_particle_attributes.o \
-   virtual_flight_mod.o wind_turbine_model_mod.o
+   urban_surface_mod.o virtual_flight_mod.o wind_turbine_model_mod.o 
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
@@ -516,5 +513,5 @@
 mod_particle_attributes.o: mod_particle_attributes.f90 mod_kinds.o
 netcdf_interface_mod.o: netcdf_interface_mod.f90 modules.o mod_kinds.o \
-   land_surface_model_mod.o radiation_model_mod.o spectra_mod.o
+   land_surface_model_mod.o radiation_model_mod.o spectra_mod.o urban_surface_mod.o
 nudging_mod.o: modules.o cpulog_mod.o mod_kinds.o
 package_parin.o: modules.o mod_kinds.o mod_particle_attributes.o
@@ -546,5 +543,5 @@
 	eqn_state_seawater.o mod_kinds.o microphysics_mod.o \
 	nudging_mod.o plant_canopy_model_mod.o production_e.o radiation_model_mod.o \
-	subsidence_mod.o user_actions.o wind_turbine_model_mod.o
+	subsidence_mod.o urban_surface_mod.o user_actions.o wind_turbine_model_mod.o
 progress_bar_mod.o: modules.o mod_kinds.o
 radiation_model_mod.o : modules.o mod_particle_attributes.o microphysics_mod.o
@@ -556,5 +553,5 @@
    spectra_mod.o
 read_var_list.o: modules.o mod_kinds.o netcdf_interface_mod.o plant_canopy_model_mod.o \
-   spectra_mod.o microphysics_mod.o virtual_flight_mod.o
+   spectra_mod.o microphysics_mod.o urban_surface_mod.o virtual_flight_mod.o
 run_control.o: modules.o cpulog_mod.o mod_kinds.o
 set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
@@ -564,9 +561,10 @@
 subsidence_mod.o: modules.o mod_kinds.o
 sum_up_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
-                  radiation_model_mod.o 
+                  radiation_model_mod.o urban_surface_mod.o
 surface_coupler.o: modules.o cpulog_mod.o mod_kinds.o
-surface_layer_fluxes_mod.o: modules.o mod_kinds.o land_surface_model_mod.o
+surface_layer_fluxes_mod.o: modules.o mod_kinds.o land_surface_model_mod.o \
+	urban_surface_mod.o
 swap_timelevel.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
-   pmc_interface_mod.o
+   pmc_interface_mod.o urban_surface_mod.o
 temperton_fft_mod.o: modules.o mod_kinds.o
 time_integration.o: modules.o advec_ws.o buoyancy.o calc_mean_profile.o \
@@ -575,5 +573,5 @@
 	prognostic_equations.o progress_bar_mod.o radiation_model_mod.o \
 	spectra_mod.o user_actions.o surface_layer_fluxes_mod.o microphysics_mod.o \
-         virtual_flight_mod.o wind_turbine_model_mod.o
+	urban_surface_mod.o virtual_flight_mod.o wind_turbine_model_mod.o
 time_to_string.o: mod_kinds.o
 timestep.o: modules.o cpulog_mod.o mod_kinds.o microphysics_mod.o
@@ -581,4 +579,5 @@
 transpose.o: modules.o cpulog_mod.o mod_kinds.o
 tridia_solver_mod.o: modules.o mod_kinds.o
+urban_surface_mod.o: modules.o mod_kinds.o radiation_model_mod.o plant_canopy_model_mod.o
 user_3d_data_averaging.o: modules.o mod_kinds.o user_module.o
 user_actions.o: modules.o cpulog_mod.o mod_kinds.o user_module.o
@@ -603,4 +602,5 @@
 user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model_mod.o
 user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model_mod.o
+user_init_urban_surface.o: modules.o mod_kinds.o user_module.o urban_surface_mod.o
 user_last_actions.o: modules.o mod_kinds.o user_module.o
 user_lpm_advec.o: modules.o mod_kinds.o user_module.o
@@ -619,3 +619,3 @@
 	spectra_mod.o
 write_var_list.o: modules.o mod_kinds.o netcdf_interface_mod.o plant_canopy_model_mod.o\
-   spectra_mod.o microphysics_mod.o virtual_flight_mod.o
+   spectra_mod.o microphysics_mod.o urban_surface_mod.o virtual_flight_mod.o
